maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jörg Schaible <Joerg.Schai...@Elsag-Solutions.com>
Subject RE: WSDL2Code Axis2 javax/wsdl/WSDLException NoClassDefFoundError
Date Mon, 13 Aug 2007 06:27:57 GMT

It's the *plugin* that needs this dep, not your artifact ... ;-)

Sebastien Arbogast wrote on Sunday, August 12, 2007 2:13 PM:

> I have exactly the same problem. I've tried many versions of the
> wsdl4j dependency, but I still get that exception.
> 
> 
> PeteTh wrote:
>> 
>> I'm trying to use axis2-wsdl2code-maven-plugin with wsdl2code goal.
>> 
>> However I'm getting inconsistencies with class versions, can anyone
>> help? 
>> 
>> Has anyone got a working version that has the correct dependencies
>> required to get plugin to work?
>> 
>> .
>> Downloading:
>> 
> http://repo1.maven.org/maven2/woodstox/wstx-asl/3.0.1/wstx-asl
> -3.0.1.pom
>> [INFO] [axis2-wsdl2code:wsdl2code {execution: default}] [INFO]
>> 
> --------------------------------------------------------------
> ----------
>> [ERROR] FATAL ERROR
>> [INFO]
>> 
> --------------------------------------------------------------
> ----------
>> [INFO] javax/wsdl/WSDLException
>> [INFO]
>> 
> --------------------------------------------------------------
> ----------
>> [INFO] Trace
>> java.lang.NoClassDefFoundError: javax/wsdl/WSDLException         at
>> 
> org.apache.axis2.maven2.wsdl2code.WSDL2CodeMojo.execute(WSDL2C
> odeMojo.java:396)
>>         at
>> 
> org.apache.maven.plugin.DefaultPluginManager.executeMojo(Defau
> ltPluginManager.java:443)
>>         at
>> 
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoa
> ls(DefaultLifecycleExecutor.java:539)
>>         at
>> 
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoa
> lWithLifecycle(DefaultLifecycleExecutor.java:480)
>> 
>> 
>> my pom.xml
>> 
>> 	<dependencies>
>> 
>> 		<dependency>
>> 			<groupId>junit</groupId>
>> 			<artifactId>junit</artifactId>
>> 			<version>4.1</version>
>> 			<scope>provided</scope>
>> 		</dependency>
>> 		<dependency>
>> 			<groupId>commons-discovery</groupId>
>> 			<artifactId>commons-discovery</artifactId>
>> 			<version>0.4</version>
>> 		</dependency>
>> 
>> 		<dependency>
>> 			<groupId>org.apache.axis2</groupId>
>> 			<artifactId>axis2-kernel</artifactId>
>> 			<version>1.2</version>
>> 			<scope>compile</scope>
>> 			<exclusions>
>> 				<exclusion>
>> 					<groupId>junit</groupId>
>> 					<artifactId>junit</artifactId>
>> 				</exclusion>
>> 			</exclusions>
>> 		</dependency>
>> 
>> 		<dependency>
>> 			<groupId>wsdl4j</groupId>
>> 			<artifactId>wsdl4j</artifactId>
>> 			<version>1.6.2</version>
>> 		</dependency>
>> 
>> 	</dependencies>
>> 
>> 	<build>
>> 
>> 		<plugins>
>> 
>> 			<plugin>
>> 				<!-- see
>> 
> http://ws.apache.org/axis2/tools/1_2/maven-plugins/maven-wsdl2
> code-plugin.html
>> -->
>> 
> <groupId>org.apache.axis2.maven2</groupId>
>> 
> <artifactId>axis2-wsdl2code-maven-plugin</artifactId>
>> 				<configuration>
>> 
> <packageName>com.au.marj.wsdl.evant.dprj.intf</packageName>
>> 
> <generateTestcase>true</generateTestcase>
>> 
> <wsdlFile>src/main/resources/WebInterface.wsdl</wsdlFile>
>> 				</configuration>
>> 				<executions>
>> 					<execution>
>> 						<goals>
>> 
> <goal>wsdl2code</goal>
>> 						</goals>
>> 					</execution>
>> 				</executions>
>> 			</plugin>
>> 
>> 		</plugins>
>> 	</build>
>> 
>> javax/wsdl/WSDLException seems to reside in wsdl4j-1.6.2.jar however,
>> have tried many versions of this jar with no luck yet.
>> I have tried many versions of wsdl4j
>> 
>> 
> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
>> For additional commands, e-mail: users-help@maven.apache.org

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message